GNU bug report logs - #34320
Emacs 26.1: RAM does not get released after quitting Emacs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: René Kuligowski <renekuligowski@HIDDEN>; Keywords: notabug wontfix; Done: Glenn Morris <rgm@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 34320 <at> debbugs.gnu.org and René Kuligowski <renekuligowski@HIDDEN> Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) wontfix and notabug. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34320 <at> debbugs.gnu.org:


Received: (at 34320) by debbugs.gnu.org; 20 Feb 2019 19:30:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 20 14:30:50 2019
Received: from localhost ([127.0.0.1]:58561 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gwXZv-00027X-4X
	for submit <at> debbugs.gnu.org; Wed, 20 Feb 2019 14:30:47 -0500
Received: from eggs.gnu.org ([209.51.188.92]:40466)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gwXZt-00027K-Br
 for 34320 <at> debbugs.gnu.org; Wed, 20 Feb 2019 14:30:45 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38097)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gwXZf-0007I9-8i; Wed, 20 Feb 2019 14:30:34 -0500
Received: from [176.228.60.248] (port=2826 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gwXZT-00069s-HK; Wed, 20 Feb 2019 14:30:23 -0500
Date: Wed, 20 Feb 2019 21:30:16 +0200
Message-Id: <83k1hugsvr.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?utf-8?Q?Ren=C3=A9?= Kuligowski <renekuligowski@HIDDEN>
In-reply-to: <5C6DC46D.7020004@HIDDEN> (message from =?utf-8?Q?Ren?=
 =?utf-8?Q?=C3=A9?= Kuligowski on Wed, 20 Feb 2019 20:19:41 -0100)
Subject: Re: bug#34320: Emacs 26.1: RAM does not get released after quitting
 Emacs
References: <5C58AF7C.3000005@HIDDEN> <5C6DC46D.7020004@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34320
Cc: 34320 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Date: Wed, 20 Feb 2019 20:19:41 -0100
> From: René Kuligowski <renekuligowski@HIDDEN>
> 
> Sorry, had little time to spare for testing and research the problems, 
> hence it took a while ;-)

We all get hit by that from time to time ;-)

>    I guess my system is just too old for Emacs 26 and the upcoming 27.
>    But it would still be nice if one of you could further look into the 
> memory eating problem; maybe there is a solution (like, eg, ifdef-ing 
> other memory handling for older systems).

Whatever this is, it isn't Emacs that's causing this.  There simply is
no way a program could still hold onto memory after it exits.
Whatever doesn't let that memory be released it isn't Emacs, at least
not directly.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34320; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Feb 2019 19:15:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 20 14:15:52 2019
Received: from localhost ([127.0.0.1]:58535 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gwXLU-0001jq-7H
	for submit <at> debbugs.gnu.org; Wed, 20 Feb 2019 14:15:52 -0500
Received: from eggs.gnu.org ([209.51.188.92]:34152)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <renekuligowski@HIDDEN>) id 1gwXLS-0001je-GI
 for submit <at> debbugs.gnu.org; Wed, 20 Feb 2019 14:15:51 -0500
Received: from lists.gnu.org ([209.51.188.17]:40972)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <renekuligowski@HIDDEN>)
 id 1gwXLL-0002ma-Me
 for submit <at> debbugs.gnu.org; Wed, 20 Feb 2019 14:15:45 -0500
Received: from eggs.gnu.org ([209.51.188.92]:48517)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <renekuligowski@HIDDEN>) id 1gwXLK-0007em-RQ
 for bug-gnu-emacs@HIDDEN; Wed, 20 Feb 2019 14:15:43 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,FROM_EXCESS_BASE64,
 RCVD_IN_DNSWL_LOW,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <renekuligowski@HIDDEN>) id 1gwXLI-0002hA-4m
 for bug-gnu-emacs@HIDDEN; Wed, 20 Feb 2019 14:15:42 -0500
Received: from mail234c50.megamailservers.eu ([91.136.10.244]:59056
 helo=mail37c50.megamailservers.eu)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <renekuligowski@HIDDEN>)
 id 1gwXLG-0002Yt-3g
 for bug-gnu-emacs@HIDDEN; Wed, 20 Feb 2019 14:15:39 -0500
X-Authenticated-User: renekuligowski@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1550690130;
 bh=VNWYigIavYBZCFYGgfKGFC7Z5flWTsOBn2A3wbOCaK0=;
 h=Date:From:To:Subject:From;
 b=Y9hNQuCHinI9D+4PWM3VkIBDNqZTAIE8j5Yw8G6DUbLowlbm1CHBDImNYYF1+OPio
 9Xe12Wn/RKgF33cQu76xXRF4OH1HqGyFUoEKosT97XtnWELrrzWgKklbUmj6+xyr87
 Y3P4A7ZR5nLt//goe1Rh+jd2fb21IE6c/yPLRjRU=
Feedback-ID: renekuligowski@
Received: from [192.168.50.52] (x4d030963.dyn.telefonica.de [77.3.9.99])
 (authenticated bits=0)
 by mail37c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id x1KJFPkQ018061
 for <bug-gnu-emacs@HIDDEN>; Wed, 20 Feb 2019 19:15:30 +0000
Message-ID: <5C6DC46D.7020004@HIDDEN>
Date: Wed, 20 Feb 2019 20:19:41 -0100
From: =?UTF-8?B?UmVuw6kgS3VsaWdvd3NraQ==?= <renekuligowski@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US;
 rv:1.9.1.16) Gecko/20121215 Icedove/3.0.11
MIME-Version: 1.0
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#34320: Emacs 26.1: RAM does not get released after quitting
 Emacs
Content-Type: text/plain; charset=UTF-8; format=flowed
X-CTCH-RefID: str=0001.0A0B0211.5C6DA752.003C, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-CSC: 0
X-CHA: v=2.3 cv=J+uEEjvS c=1 sm=1 tr=0 a=0FUf31fapzRswtXjPSNZUA==:117
 a=0FUf31fapzRswtXjPSNZUA==:17 a=IkcTkHD0fZMA:10 a=TVtL1luK001gw0tFVUYA:9
 a=QEXdDO2ut3YA:10
Content-Transfer-Encoding: quoted-printable
X-MIME-Autoconverted: from 8bit to quoted-printable by
 mail37c50.megamailservers.eu id x1KJFPkQ018061
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x (no
 timestamps) [generic]
X-Received-From: 91.136.10.244
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Sorry, had little time to spare for testing and research the
    problems, hence it took a while ;-) However — and referring to my last
   mail —, I can safely conclude that the memory problems are not caused by
    any of: OS memory manager, OS library loader, Lucid toolkit version, GNU
   compiler/GClib [...] 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: megamailservers.eu]
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.51.188.92 listed in wl.mailspike.net]
  0.1 FROM_EXCESS_BASE64     From: base64 encoded unnecessarily
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

Sorry, had little time to spare for testing and research the problems,=20
hence it took a while ;-)

   However =E2=80=94 and referring to my last mail =E2=80=94, I can safel=
y conclude that=20
the memory problems are not caused by any of: OS memory manager, OS=20
library loader, Lucid toolkit version, GNU compiler/GClib, or fvwm (my=20
X11 window manager), since the versions I use are not known to cause any=20
problems.
   I guess my system is just too old for Emacs 26 and the upcoming 27.
   But it would still be nice if one of you could further look into the=20
memory eating problem; maybe there is a solution (like, eg, ifdef-ing=20
other memory handling for older systems).

Thanks and best regards,
R. Kuligowski





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34320; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Feb 2019 20:19:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 06 15:19:08 2019
Received: from localhost ([127.0.0.1]:36184 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1grTf2-00053O-1E
	for submit <at> debbugs.gnu.org; Wed, 06 Feb 2019 15:19:08 -0500
Received: from eggs.gnu.org ([209.51.188.92]:57753)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <renekuligowski@HIDDEN>) id 1grTf1-00052z-2R
 for submit <at> debbugs.gnu.org; Wed, 06 Feb 2019 15:19:07 -0500
Received: from lists.gnu.org ([209.51.188.17]:45598)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <renekuligowski@HIDDEN>)
 id 1grTev-0007fd-Vl
 for submit <at> debbugs.gnu.org; Wed, 06 Feb 2019 15:19:02 -0500
Received: from eggs.gnu.org ([209.51.188.92]:43900)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <renekuligowski@HIDDEN>) id 1grTev-0003gS-6P
 for bug-gnu-emacs@HIDDEN; Wed, 06 Feb 2019 15:19:01 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,FROM_EXCESS_BASE64,
 RCVD_IN_DNSWL_LOW autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <renekuligowski@HIDDEN>) id 1grTeu-0007e7-4Z
 for bug-gnu-emacs@HIDDEN; Wed, 06 Feb 2019 15:19:01 -0500
Received: from mail78c50.megamailservers.eu ([91.136.10.88]:36836
 helo=mail70c50.megamailservers.eu)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <renekuligowski@HIDDEN>)
 id 1grTet-0007c0-Qv; Wed, 06 Feb 2019 15:19:00 -0500
X-Authenticated-User: renekuligowski@HIDDEN
Received: from [192.168.50.52] (x5f744d2c.dyn.telefonica.de [95.116.77.44])
 (authenticated bits=0)
 by mail70c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id x16KIosp011471; 
 Wed, 6 Feb 2019 20:18:56 +0000
Message-ID: <5C5B5E29.9070401@HIDDEN>
Date: Wed, 06 Feb 2019 21:22:33 -0100
From: =?UTF-8?B?UmVuw6kgS3VsaWdvd3NraQ==?= <renekuligowski@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US;
 rv:1.9.1.16) Gecko/20121215 Icedove/3.0.11
MIME-Version: 1.0
To: eli Zaretskii <eliz@HIDDEN>, bug-gnu-emacs@HIDDEN
Subject: Re: bug#34320: Emacs 26.1: RAM does not get released after quitting
 Emacs
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-CTCH-RefID: str=0001.0A0B020E.5C5B4130.0020, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-CSC: 0
X-CHA: v=2.3 cv=PNMhB8iC c=1 sm=1 tr=0 a=5w8wBS0wDxY4iQAi+D9nHw==:117
 a=5w8wBS0wDxY4iQAi+D9nHw==:17 a=IkcTkHD0fZMA:10 a=_Abjn6OUT8_D66SkIg8A:9
 a=QEXdDO2ut3YA:10
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x (no
 timestamps) [generic]
X-Received-From: 91.136.10.88
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Sorry for flooding, but I really forgot to state something
 more clearly which might be important in regard to the question whether the
 problems might be caused by library and/or general caching: I have a parallel
 installation of Emacs 23 (this distro's standard Emacs), Emacs 25, and Emacs
 26,
 the latter two being configured with the same compilation options
 (--prefix=/usr/local --with-x --wit [...] 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.1 FROM_EXCESS_BASE64     From: base64 encoded unnecessarily
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

Sorry for flooding, but I really forgot to state something more clearly 
which might be important in regard to the question whether the problems 
might be caused by library and/or general caching:

I have a parallel installation of Emacs 23 (this distro's standard 
Emacs), Emacs 25, and Emacs 26, the latter two being configured with the 
same compilation options (--prefix=/usr/local --with-x 
--with-x-toolkit=lucid --with-modules --without-tls 
--with-game-user=games) and using (almost) identical ELisp 
configurations, which means, all three use the same libraries, the same 
binary utilities, and the same ELisp where compatible.
   Those memory problems are /only/ with Emacs 26, /not/ with 25 or 23.  
Hence my strange questions and assumptions about the malloc()/free() and 
C standards used in 26.
I hope this helps.  And I'll still search for more clues to what causes 
this ;-)

Regards,
R. Kuligowski




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34320; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Feb 2019 19:42:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 06 14:42:56 2019
Received: from localhost ([127.0.0.1]:36174 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1grT5z-0004Ak-QS
	for submit <at> debbugs.gnu.org; Wed, 06 Feb 2019 14:42:56 -0500
Received: from eggs.gnu.org ([209.51.188.92]:48605)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <renekuligowski@HIDDEN>) id 1grT5y-0004AX-HN
 for submit <at> debbugs.gnu.org; Wed, 06 Feb 2019 14:42:54 -0500
Received: from lists.gnu.org ([209.51.188.17]:56182)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <renekuligowski@HIDDEN>)
 id 1grT5t-0002nJ-7U
 for submit <at> debbugs.gnu.org; Wed, 06 Feb 2019 14:42:49 -0500
Received: from eggs.gnu.org ([209.51.188.92]:34751)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <renekuligowski@HIDDEN>) id 1grT5s-0001JC-7Q
 for bug-gnu-emacs@HIDDEN; Wed, 06 Feb 2019 14:42:49 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,FROM_EXCESS_BASE64,
 RCVD_IN_DNSWL_LOW autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <renekuligowski@HIDDEN>) id 1grT5q-0002mU-UK
 for bug-gnu-emacs@HIDDEN; Wed, 06 Feb 2019 14:42:47 -0500
Received: from mail150c50.megamailservers.eu ([91.136.10.160]:32946
 helo=mail50c50.megamailservers.eu)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <renekuligowski@HIDDEN>)
 id 1grT5q-0002lq-KO; Wed, 06 Feb 2019 14:42:46 -0500
X-Authenticated-User: renekuligowski@HIDDEN
Received: from [192.168.50.52] (x5f744d2c.dyn.telefonica.de [95.116.77.44])
 (authenticated bits=0)
 by mail50c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id x16JgYU1008941; 
 Wed, 6 Feb 2019 19:42:40 +0000
Message-ID: <5C5B55A9.6020500@HIDDEN>
Date: Wed, 06 Feb 2019 20:46:17 -0100
From: =?UTF-8?B?UmVuw6kgS3VsaWdvd3NraQ==?= <renekuligowski@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US;
 rv:1.9.1.16) Gecko/20121215 Icedove/3.0.11
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>, bug-gnu-emacs@HIDDEN
Subject: Re: bug#34320: Fwd: Re: bug#34320: Emacs 26.1: RAM does not get
 released after quitting Emacs
References: <5C58AF7C.3000005@HIDDEN> <5C598569.30304@HIDDEN>
 <83ef8mtamn.fsf@HIDDEN>
In-Reply-To: <83ef8mtamn.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
X-CTCH-RefID: str=0001.0A0B0208.5C5B38B0.0052, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-CSC: 0
X-CHA: v=2.3 cv=H6v1PdQi c=1 sm=1 tr=0 a=5w8wBS0wDxY4iQAi+D9nHw==:117
 a=5w8wBS0wDxY4iQAi+D9nHw==:17 a=IkcTkHD0fZMA:10 a=1bPFL2I98irPjFKxhT4A:9
 a=QEXdDO2ut3YA:10
Content-Transfer-Encoding: quoted-printable
X-MIME-Autoconverted: from 8bit to quoted-printable by
 mail50c50.megamailservers.eu id x16JgYU1008941
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x (no
 timestamps) [generic]
X-Received-From: 91.136.10.160
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hmm… let me take another look… as far as I can tell, there's
    no recognizable owner to those, and ld seems not to be involved here —
   it shows with a big batch of libs, but not in the blocks in qu [...] 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
  0.1 FROM_EXCESS_BASE64     From: base64 encoded unnecessarily
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

Hmm=E2=80=A6 let me take another look=E2=80=A6 as far as I can tell, ther=
e's no=20
recognizable owner to those, and ld seems not to be involved here =E2=80=94=
 it=20
shows with a big batch of libs, but not in the blocks in question, and=20
most of them are not used by Emacs, afaik from the configure options and=20
makefiles (but don't take my word for it, I'm not one of you Emacs=20
developers ;-) ).  Looks more like a zombie without a zombie process to=20
me, sort of like 'kill -9' successful but for some weird reason the=20
memory being detached and not freed.  Can this happen with=20
multi-threading, when the current thread's parent quits and somehow the=20
child cannot cleanly exit?

   However, I'll try a few more methods, to find out as much as I can. =20
Might take one or the other day, though.


Thanks so far!


On 05.02.2019 16:20, Eli Zaretskii wrote:
>> Date: Tue, 05 Feb 2019 11:45:29 -0100
>> From: Ren=C3=A9 Kuligowski<renekuligowski@HIDDEN>
>>
>>     I also checked thoroughly in the VFSes (/sys, /proc etc.) and ran =
a
>> mem tracer.  The memory blocks are not freed, but stay allocated, like
>> from a forgotten free() call or a severely buggy malloc() call (like t=
he
>> common issues with gcc 3.3 and 4.5).
>>     =20
> Can you see which software module "owns" the memory that is not freed?
> Could it be, for instance, that Emacs loaded some system shared
> libraries, and the OS didn't unload them?
>
>
>   =20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34320; Package emacs. Full text available.

Message received at 34320 <at> debbugs.gnu.org:


Received: (at 34320) by debbugs.gnu.org; 5 Feb 2019 17:21:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 05 12:21:10 2019
Received: from localhost ([127.0.0.1]:33708 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gr4PF-0005D2-Ti
	for submit <at> debbugs.gnu.org; Tue, 05 Feb 2019 12:21:10 -0500
Received: from eggs.gnu.org ([209.51.188.92]:56263)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gr4PE-0005Cq-0T
 for 34320 <at> debbugs.gnu.org; Tue, 05 Feb 2019 12:21:08 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45126)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gr4P7-0003Zx-CD; Tue, 05 Feb 2019 12:21:01 -0500
Received: from [176.228.60.248] (port=2232 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gr4P6-0000AD-W3; Tue, 05 Feb 2019 12:21:01 -0500
Date: Tue, 05 Feb 2019 19:20:48 +0200
Message-Id: <83ef8mtamn.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?utf-8?Q?Ren=C3=A9?= Kuligowski <renekuligowski@HIDDEN>
In-reply-to: <5C598569.30304@HIDDEN> (message from =?utf-8?Q?Ren=C3=A9?=
 Kuligowski on Tue, 05 Feb 2019 11:45:29 -0100)
Subject: Re: bug#34320: Fwd: Re: bug#34320: Emacs 26.1: RAM does not get
 released after quitting Emacs
References: <5C58AF7C.3000005@HIDDEN> <5C598569.30304@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34320
Cc: 34320 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Date: Tue, 05 Feb 2019 11:45:29 -0100
> From: René Kuligowski <renekuligowski@HIDDEN>
> 
>    I also checked thoroughly in the VFSes (/sys, /proc etc.) and ran a 
> mem tracer.  The memory blocks are not freed, but stay allocated, like 
> from a forgotten free() call or a severely buggy malloc() call (like the 
> common issues with gcc 3.3 and 4.5).

Can you see which software module "owns" the memory that is not freed?
Could it be, for instance, that Emacs loaded some system shared
libraries, and the OS didn't unload them?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34320; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Feb 2019 16:01:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 05 11:01:49 2019
Received: from localhost ([127.0.0.1]:33651 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gr3AS-0001Ho-UT
	for submit <at> debbugs.gnu.org; Tue, 05 Feb 2019 11:01:49 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52186)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <renekuligowski@HIDDEN>) id 1gqyB8-0005j2-Rg
 for submit <at> debbugs.gnu.org; Tue, 05 Feb 2019 05:42:11 -0500
Received: from lists.gnu.org ([209.51.188.17]:43560)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <renekuligowski@HIDDEN>)
 id 1gqyB3-00047s-Ks
 for submit <at> debbugs.gnu.org; Tue, 05 Feb 2019 05:42:05 -0500
Received: from eggs.gnu.org ([209.51.188.92]:38318)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <renekuligowski@HIDDEN>) id 1gqyB2-0004LO-AH
 for bug-gnu-emacs@HIDDEN; Tue, 05 Feb 2019 05:42:05 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,FROM_EXCESS_BASE64,
 RCVD_IN_DNSWL_LOW autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <renekuligowski@HIDDEN>) id 1gqyB0-00046B-7t
 for bug-gnu-emacs@HIDDEN; Tue, 05 Feb 2019 05:42:04 -0500
Received: from mail236c50.megamailservers.eu ([91.136.10.246]:60322
 helo=mail56c50.megamailservers.eu)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <renekuligowski@HIDDEN>)
 id 1gqyAz-00043b-Tg
 for bug-gnu-emacs@HIDDEN; Tue, 05 Feb 2019 05:42:02 -0500
X-Authenticated-User: renekuligowski@HIDDEN
Received: from [192.168.50.52] (x4d08ac9a.dyn.telefonica.de [77.8.172.154])
 (authenticated bits=0)
 by mail56c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id x15AfsGT011093
 for <bug-gnu-emacs@HIDDEN>; Tue, 5 Feb 2019 10:41:58 +0000
Message-ID: <5C598569.30304@HIDDEN>
Date: Tue, 05 Feb 2019 11:45:29 -0100
From: =?UTF-8?B?UmVuw6kgS3VsaWdvd3NraQ==?= <renekuligowski@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US;
 rv:1.9.1.16) Gecko/20121215 Icedove/3.0.11
MIME-Version: 1.0
To: bug-gnu-emacs@HIDDEN
Subject: Fwd: Re: bug#34320: Emacs 26.1: RAM does not get released after
 quitting Emacs
Content-Type: text/plain; charset=UTF-8; format=flowed
X-CTCH-RefID: str=0001.0A0B0204.5C596876.0085, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-CSC: 0
X-CHA: v=2.3 cv=Oo5hNR3t c=1 sm=1 tr=0 a=H9Y+oQz/pGJtVIF7Vg7YLg==:117
 a=H9Y+oQz/pGJtVIF7Vg7YLg==:17 a=IkcTkHD0fZMA:10 a=mDV3o1hIAAAA:8
 a=dzOi83m2AAAA:8 a=D1YNfsQtYqHLLYmb4-YA:9 a=QEXdDO2ut3YA:10
 a=_FVE-zBwftR9WsbkzFJk:22 a=inI2RuUGd1yLl-9nEuky:22
Content-Transfer-Encoding: quoted-printable
X-MIME-Autoconverted: from 8bit to quoted-printable by
 mail56c50.megamailservers.eu id x15AfsGT011093
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x (no
 timestamps) [generic]
X-Received-From: 91.136.10.246
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  For completeness ; -) I also checked thoroughly in the VFSes
 (/sys, /proc etc.) and ran a mem tracer. The memory blocks are not freed,
 but stay allocated, like from a forgotten free() call or a severely buggy
 malloc() cal [...] 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.1 FROM_EXCESS_BASE64     From: base64 encoded unnecessarily
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 05 Feb 2019 11:01:48 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

For completeness ;-)

   I also checked thoroughly in the VFSes (/sys, /proc etc.) and ran a=20
mem tracer.  The memory blocks are not freed, but stay allocated, like=20
from a forgotten free() call or a severely buggy malloc() call (like the=20
common issues with gcc 3.3 and 4.5).

   Since I use gcc 4.4 (quite reliable in my experience), my question=20
is: is Emacs 26 using mem alloc calls which are revised/defined in=20
C-2011 or C-2015 standards, and not likely to be properly available in=20
older compilers?  That might be an explanation, though not exactly the=20
=E2=80=9Ecure=E2=80=9C for the problem.

Regards,
R.Kuligowski

-------- Original Message --------
Subject: 	Re: bug#34320: Emacs 26.1: RAM does not get released after=20
quitting Emacs
Date: 	Tue, 05 Feb 2019 07:34:10 -0100
From: 	Ren=C3=A9 Kuligowski <renekuligowski@HIDDEN>
To: 	Glenn Morris <rgm@HIDDEN>



Sorry, the last answer was a bit short.
Reasons why neither is the case:

doing 'ps axf | grep emacs' shows only the grep call itself.  Without
grepping, there is no hint of either emacs or a died/zombie process
eating up memory.

the '+/- cache' line of free shows the amounts I stated, the first one
is always about 1GB larger due to cache buffers.

On 04.02.2019 22:48, Glenn Morris wrote:
>  Either the process hasn't actually exited, or you are confused by memo=
ry
>  used for file cache. Ref eg https://www.linuxatemyram.com/
>
>
>





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34320; Package emacs. Full text available.

Message received at 34320 <at> debbugs.gnu.org:


Received: (at 34320) by debbugs.gnu.org; 4 Feb 2019 23:48:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 04 18:48:15 2019
Received: from localhost ([127.0.0.1]:59905 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gqnyJ-000640-LI
	for submit <at> debbugs.gnu.org; Mon, 04 Feb 2019 18:48:15 -0500
Received: from eggs.gnu.org ([209.51.188.92]:43883)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1gqnyH-00063o-P0
 for 34320 <at> debbugs.gnu.org; Mon, 04 Feb 2019 18:48:14 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52277)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1gqnyB-0003G9-LB; Mon, 04 Feb 2019 18:48:07 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1gqnyB-0007qN-Hf; Mon, 04 Feb 2019 18:48:07 -0500
From: Glenn Morris <rgm@HIDDEN>
To: =?utf-8?Q?Ren=C3=A9?= Kuligowski <renekuligowski@HIDDEN>
Subject: Re: bug#34320: Emacs 26.1: RAM does not get released after quitting
 Emacs
References: <5C58AF7C.3000005@HIDDEN>
X-Spook: insurgency Jyllandsposten Delays quarter Armed
X-Ran: PbmMGYKBKv|+sJ`gofa_2ouV{b(mLtjVl<eq00\+|Yre/+wa&E[9ahG\LcTEw5tLJM`<a@
X-Hue: cyan
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Mon, 04 Feb 2019 18:48:07 -0500
In-Reply-To: <5C58AF7C.3000005@HIDDEN> (=?utf-8?Q?=22Ren=C3=A9?=
 Kuligowski"'s message of "Mon, 04 Feb 2019 20:32:44 -0100")
Message-ID: <9p4l9jnmiw.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34320
Cc: 34320 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Either the process hasn't actually exited, or you are confused by memory
used for file cache. Ref eg https://www.linuxatemyram.com/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34320; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Feb 2019 21:10:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 04 16:10:17 2019
Received: from localhost ([127.0.0.1]:59749 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gqlVQ-0008Kp-Ut
	for submit <at> debbugs.gnu.org; Mon, 04 Feb 2019 16:10:17 -0500
Received: from eggs.gnu.org ([209.51.188.92]:37140)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <renekuligowski@HIDDEN>) id 1gqk7o-0006Ds-PH
 for submit <at> debbugs.gnu.org; Mon, 04 Feb 2019 14:41:49 -0500
Received: from lists.gnu.org ([209.51.188.17]:42075)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <renekuligowski@HIDDEN>)
 id 1gqk7i-0000gs-GK
 for submit <at> debbugs.gnu.org; Mon, 04 Feb 2019 14:41:43 -0500
Received: from eggs.gnu.org ([209.51.188.92]:50569)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <renekuligowski@HIDDEN>) id 1gqk7h-0007dl-Hg
 for bug-gnu-emacs@HIDDEN; Mon, 04 Feb 2019 14:41:42 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,FROM_EXCESS_BASE64,
 RCVD_IN_DNSWL_LOW autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <renekuligowski@HIDDEN>) id 1gqjvg-0000ZS-KT
 for bug-gnu-emacs@HIDDEN; Mon, 04 Feb 2019 14:29:17 -0500
Received: from mail153c50.megamailservers.eu ([91.136.10.163]:60676
 helo=mail50c50.megamailservers.eu)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <renekuligowski@HIDDEN>)
 id 1gqjvg-0000Il-9t
 for bug-gnu-emacs@HIDDEN; Mon, 04 Feb 2019 14:29:16 -0500
X-Authenticated-User: renekuligowski@HIDDEN
Received: from [192.168.50.52] (x4d065702.dyn.telefonica.de [77.6.87.2])
 (authenticated bits=0)
 by mail50c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id x14JT4wL022596
 for <bug-gnu-emacs@HIDDEN>; Mon, 4 Feb 2019 19:29:09 +0000
Message-ID: <5C58AF7C.3000005@HIDDEN>
Date: Mon, 04 Feb 2019 20:32:44 -0100
From: =?UTF-8?B?UmVuw6kgS3VsaWdvd3NraQ==?= <renekuligowski@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US;
 rv:1.9.1.16) Gecko/20121215 Icedove/3.0.11
MIME-Version: 1.0
To: bug-gnu-emacs@HIDDEN
Subject: Emacs 26.1: RAM does not get released after quitting Emacs
Content-Type: text/plain; charset=UTF-8; format=flowed
X-CTCH-RefID: str=0001.0A0B0215.5C589286.0006, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-CSC: 0
X-CHA: v=2.3 cv=H6v1PdQi c=1 sm=1 tr=0 a=MtA2M20dbsUPsJ0XRIfnWA==:117
 a=MtA2M20dbsUPsJ0XRIfnWA==:17 a=IkcTkHD0fZMA:10 a=KRuZxnccK3EbLnPQJJoA:9
 a=QEXdDO2ut3YA:10 a=pHzHmUro8NiASowvMSCR:22 a=nt3jZW36AmriUCFCBwmW:22
Content-Transfer-Encoding: quoted-printable
X-MIME-Autoconverted: from 8bit to quoted-printable by
 mail50c50.megamailservers.eu id x14JT4wL022596
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x (no
 timestamps) [generic]
X-Received-From: 91.136.10.163
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Good morning, I just noticed something which I thought might
 be interesting, and which I stumbled across by watching my conky window's
 memory watcher (issuing 'free' and 'vmstat' on the console always says the
 same [...] 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.1 FROM_EXCESS_BASE64     From: base64 encoded unnecessarily
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 04 Feb 2019 16:10:15 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

Good morning,

I just noticed something which I thought might be interesting, and which=20
I stumbled across by watching my conky window's memory watcher (issuing=20
'free' and 'vmstat' on the console always says the same as conky, so I=20
guess it does update correctly).

The Story And What Happens (to indirectly quote Terry Pratchett):
Whenever I run Emacs 26.1 (Lucid X interface) and it loads its package=20
configuration, it quickly allocates about 300 to 400 MB of RAM, and when=20
I use several Emacs modi (org, auctex, etc), it tends to allocate about=20
700 MB in total.  Accumulated on top of my average system load, the used=20
memory rapidly goes from 520MB to 1.2 GB just due to Emacs.  When I quit=20
Emacs, the used RAM does only drop back to about 1.1 to 1.0 GB, not to,=20
say, 600MB as I would expect (and as Emacs 23 and 25 do =E2=80=93 well, E=
macs 25=20
doesn't release all memory, either, but leaves only an after-print of,=20
say, 30 MB, not 400).  And even several hours later with nothing running=20
except for the wm (fvwm, if you want to know), conky and a screen saver=20
the memory is not released, so I presume it is not caused by the=20
caching/preemptivity mechanisms of the system kernel or the library loade=
r.

Is this behaviour perhaps due to Emacs's code being aligned to modern C=20
compilers, libraries, and bloated system configurations?  Perhaps, even,=20
due to yours concentrating on GTK3 as X UI?  I am asking this because I=20
run a debian 6 system, with GCC 4.x, GTK2 (which I do not use, if=20
possible), without servicesd or systemd and with somewhat older memory=20
management libraries.

Can this be resolved on your side, or is there a trick I can use, except=20
for re-starting my whole system?

Regards,
R.Kuligowski




Acknowledgement sent to René Kuligowski <renekuligowski@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#34320; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 26 Feb 2019 03:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.